# HOBBIT-NKEDIT.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbit-nkedit.cgi - Xymon Critical Systems view CGI

## SYNOPSIS

hobbit-nkedit.cgi

## DESCRIPTION

hobbit-nkedit.cgi is invoked as a CGI script via the hobbit-nkedit.sh CGI wrapper.

hobbit-nkedit.cgi is a web-based editor for the hobbit-nkview.cfg(5) file, which is used to configure the Xymon "Critical Systems" view.

A detailed description of how to use the editor is provided in the Xymon Web documentation, available from the "Help" -> "Critical Systems" link on the Xymon website.

## SECURITY

Access to this CGI script should be restricted through access controls in your webserver. Editing the Critical Systems View configuration will impact the monitoring of your site.

## OPTIONS

--config=FILENAME
  Name of the Critical Systems View configuration file. The default is hobbit-nkview.cfg in the $BBHOME/etc/ directory.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
  Enables debugging output.

## SEE ALSO

hobbit-nkview.cgi(1), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
SECURITY
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008